iPOS Transact
Preauth With Zero Dollar
POST/preauth-zero-dollar

Submits a payment request using transaction type 5. Performs a zero-dollar preauthorization on a card using a card token to validate the card without charging the customer. The request can also include billing address details for Address Verification Service (AVS) validation and optionally return the card token in the response.

Header Parameters

token*
string

Body Parameters

merchantAuthentication

merchantId*
string
transactionReferenceId*
string

transactionRequest

amount
string
transactionType
number
cardToken
string

preferences

eReceipt
boolean
customerName
string
customerEmail
string
customerMobile
string
requestCardToken
boolean

Avs

StreetNo
string
Zip
string
POST/preauth-zero-dollar
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "123456789123",
7 "transactionReferenceId": "TXN000"
8 },
9 "transactionRequest": {
10 "amount": "0",
11 "transactionType": 5,
12 "cardToken": "card-token-value-example"
13 },
14 "preferences": {
15 "eReceipt": false,
16 "customerName": "John Doe",
17 "customerEmail": "johndoe@example.com",
18 "customerMobile": "+14242424243",
19 "requestCardToken": true
20 },
21 "Avs": {
22 "StreetNo": "123 Main St",
23 "Zip": "90210"
24 }
25}'
Response

// Awaiting response…

Sample response
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "5",
    "transactionId": "TXID-88990011",
    "amount": "0",
    "responseApprovalCode": "APP12345",
    "rrn": "219313501821",
    "chdToken": "Cardholder data token",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "0"
  }
}